from gunicorn.config import Config
from gunicorn.http.errors import LimitRequestHeaders

cfg = Config()
cfg.set('limit_request_line', 0)
cfg.set('limit_request_field_size', 0)
request = {
    "method": "PUT",
    "uri":
    uri("[encoded data, 8176 characters]"),
    "version": (1, 0),
    "headers": [
        ("SOMEHEADER", "[encoded data, 8192 characters]")
    ],
    "body": ''
}
